Page MenuHomePhabricator

Add Kibana to Relforge
Closed, ResolvedPublic

Description

Adding kibana to relforge for ease of use

Event Timeline

Mstyles created this task.Mar 5 2020, 1:35 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 5 2020, 1:35 AM

Change 577031 had a related patch set uploaded (by Mstyles; owner: Mstyles):
[operations/puppet@production] kibana: add kibana to relforge

https://gerrit.wikimedia.org/r/577031

Change 579396 had a related patch set uploaded (by Mstyles; owner: Mstyles):
[operations/puppet@production] kibana: refactor kibana role to kibana profile

https://gerrit.wikimedia.org/r/579396

Change 577031 abandoned by Mstyles:
kibana: add kibana to relforge

Reason:
doing a refactor of kibana role to kibana profile first

https://gerrit.wikimedia.org/r/577031

Change 579396 merged by Herron:
[operations/puppet@production] kibana: refactor kibana role to kibana profile

https://gerrit.wikimedia.org/r/579396

Mstyles renamed this task from Add kibana to Relforge to Add Kibana to Relforge.Mar 18 2020, 10:26 PM

Change 581111 had a related patch set uploaded (by Mstyles; owner: Mstyles):
[operations/puppet@production] kibana: add kibana to relforge

https://gerrit.wikimedia.org/r/581111

Change 583414 had a related patch set uploaded (by Mstyles; owner: Mstyles):
[operations/puppet@production] kibana: refactor kibana profile into two profiles

https://gerrit.wikimedia.org/r/583414

Change 581111 abandoned by Mstyles:
kibana: add kibana to relforge

Reason:
further refactoring of kibana profile needed

https://gerrit.wikimedia.org/r/581111

Change 583414 merged by Herron:
[operations/puppet@production] kibana: move httpd proxy authentication to a separate profile

https://gerrit.wikimedia.org/r/583414

Change 586460 had a related patch set uploaded (by Mstyles; owner: Mstyles):
[operations/puppet@production] kibana: add kibana to relforge

https://gerrit.wikimedia.org/r/586460

Change 586460 merged by Elukey:
[operations/puppet@production] role::elasticsearch::relforge: add kibana

https://gerrit.wikimedia.org/r/586460

I merged the last change but there is a problem, namely:

root@apt1001:/srv/wikimedia# reprepro lsbycomponent kibana
kibana |  5.3.3 |  jessie-wikimedia |           thirdparty | amd64
kibana |  5.5.2 |  jessie-wikimedia | thirdparty/elastic55 | amd64
kibana |  5.5.2 | stretch-wikimedia | thirdparty/elastic55 | amd64
kibana | 5.6.15 | stretch-wikimedia | thirdparty/elastic56 | amd64

elukey@relforge1001:~$ cat /etc/apt/sources.list.d/wikimedia-elastic.list
deb http://apt.wikimedia.org/wikimedia stretch-wikimedia component/elastic65 thirdparty/elastic65
deb-src http://apt.wikimedia.org/wikimedia stretch-wikimedia component/elastic65 thirdparty/elastic65

The relforge hosts cannot install the package because there is no kibana in thirdparty/elastic65. Not sure what is the process of adding it, @Gehel any suggestion?

Change 587424 had a related patch set uploaded (by Elukey; owner: Elukey):
[operations/puppet@production] role::elasticsearch::relforge: use kibana-oss instead of kibana

https://gerrit.wikimedia.org/r/587424

Change 587424 merged by Elukey:
[operations/puppet@production] role::elasticsearch::relforge: use kibana-oss instead of kibana

https://gerrit.wikimedia.org/r/587424

elukey added a comment.Apr 8 2020, 6:42 AM

Used ssh -L 5601:localhost:5601 relforge1001.eqiad.wmnet and I was able to see the kibana interface, plus iptables -L | grep 5601 doesn't return any rule (so only localhost traffic is indeed allowed).

@Mstyles please test and check that everything is fine, if so we can close. Great work :)

Change 587427 had a related patch set uploaded (by Elukey; owner: Elukey):
[operations/puppet@production] profile::kibana: add the package_name parameter

https://gerrit.wikimedia.org/r/587427

I tested and everything works. Thanks @elukey so much for all of your help getting this done! I'm going to go ahead and mark this as closed.

Change 587427 merged by Elukey:
[operations/puppet@production] profile::kibana: add the package_name parameter

https://gerrit.wikimedia.org/r/587427

Gehel closed this task as Resolved.Apr 20 2020, 5:30 PM